Last-Modified: Mon, 24 Feb 2025 13:28:07 GMT
Expires: Thu, 22 Feb 2035 13:28:07 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>nb6-ser-r0.dts « dts « brcm63xx « linux « target - openwrt/upstream - upstream openwrt</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://openwrt.panaceas.org/cgit/openwrt/upstream/atom/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='openwrt/upstream' href='/cgit/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'/><select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/openwrt/upstream/about/?h=v19.07.10'>about</a><a href='/cgit/openwrt/upstream/?h=v19.07.10'>summary</a><a href='/cgit/openwrt/upstream/refs/?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>refs</a><a href='/cgit/openwrt/upstream/log/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10'>log</a><a class='active' href='/cgit/openwrt/upstream/tree/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>tree</a><a href='/cgit/openwrt/upstream/commit/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>commit</a><a href='/cgit/openwrt/upstream/diff/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>diff</a><a href='/cgit/openwrt/upstream/stats/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/openwrt/upstream/log/target/linux/brcm63xx/dts/nb6-ser-r0.dts'>
<input type='hidden' name='h' value='v19.07.10'/><input type='hidden' name='id' value='fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/openwrt/upstream/tree/?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>root</a>/<a href='/cgit/openwrt/upstream/tree/target?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>target</a>/<a href='/cgit/openwrt/upstream/tree/target/linux?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>linux</a>/<a href='/cgit/openwrt/upstream/tree/target/linux/brcm63xx?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>brcm63xx</a>/<a href='/cgit/openwrt/upstream/tree/target/linux/brcm63xx/dts?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>dts</a>/<a href='/cgit/openwrt/upstream/tree/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>nb6-ser-r0.dts</a></div><div class='content'>blob: c0182f33e124d1fef177d53a62eb2a7c41674a61 (<a href='/cgit/openwrt/upstream/plain/target/linux/brcm63xx/dts/nb6-ser-r0.dts?h=v19.07.10&amp;id=fd1096e351b7cfb0a7eb8bee7eceff52e7c7c499'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
</pre></td>
<td class='lines'><pre><code>'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1">#</span>
<span class="c1"># For a description of the syntax of this configuration file,</span>
<span class="c1"># see scripts/kbuild/config-language.txt.</span>
<span class="c1">#</span>

<span class="k">menu</span> <span class="s2">&quot;Editors&quot;</span>

<span class="k">config</span> BUSYBOX_CONFIG_AWK
	<span class="nb">bool</span> <span class="s2">&quot;awk&quot;</span>
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">	  Awk is used as a pattern scanning and processing language. This is</span>
<span class="sd">	  the BusyBox implementation of that programming language.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_AWK_LIBM
	<span class="nb">bool</span> <span class="s2">&quot;Enable math functions (requires libm)&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_AWK
	<span class="k">help</span>
<span class="sd">	  Enable math functions of the Awk programming language.</span>
<span class="sd">	  NOTE: This will require libm to be present for linking.</span>

<span class="k">config</span> BUSYBOX_CONFIG_CMP
	<span class="nb">bool</span> <span class="s2">&quot;cmp&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	  cmp is used to compare two files and returns the result</span>
<span class="sd">	  to standard output.</span>

<span class="k">config</span> BUSYBOX_CONFIG_DIFF
	<span class="nb">bool</span> <span class="s2">&quot;diff&quot;</span>
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">	  diff compares two files or directories and outputs the</span>
<span class="sd">	  differences between them in a form that can be given to</span>
<span class="sd">	  the patch command.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_DIFF_BINARY
	<span class="nb">bool</span> <span class="s2">&quot;Enable checks for binary files&quot;</span>
	<span class="k">default</span> n
	<span class="k">depends on</span> BUSYBOX_CONFIG_DIFF
	<span class="k">help</span>
<span class="sd">	  This option enables support for checking for binary files</span>
<span class="sd">	  before a comparison is carried out.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_DIFF_DIR
	<span class="nb">bool</span> <span class="s2">&quot;Enable directory support&quot;</span>
	<span class="k">default</span> n
	<span class="k">depends on</span> BUSYBOX_CONFIG_DIFF
	<span class="k">help</span>
<span class="sd">	  This option enables support for directory and subdirectory</span>
<span class="sd">	  comparison.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_DIFF_MINIMAL
	<span class="nb">bool</span> <span class="s2">&quot;Enable -d option to find smaller sets of changes&quot;</span>
	<span class="k">default</span> n
	<span class="k">depends on</span> BUSYBOX_CONFIG_DIFF
	<span class="k">help</span>
<span class="sd">	  Enabling this option allows the use of -d to make diff</span>
<span class="sd">	  try hard to find the smallest possible set of changes.</span>

<span class="k">config</span> BUSYBOX_CONFIG_ED
	<span class="nb">bool</span> <span class="s2">&quot;ed&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	  The original 1970&#39;s Unix text editor, from the days of teletypes.</span>
<span class="sd">	  Small, simple, evil. Part of SUSv3. If you&#39;re not already using</span>
<span class="sd">	  this, you don&#39;t need it.</span>

<span class="k">config</span> BUSYBOX_CONFIG_PATCH
	<span class="nb">bool</span> <span class="s2">&quot;patch&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	  Apply a unified diff formatted patch.</span>

<span class="k">config</span> BUSYBOX_CONFIG_SED
	<span class="nb">bool</span> <span class="s2">&quot;sed&quot;</span>
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">	  sed is used to perform text transformations on a file</span>
<span class="sd">	  or input from a pipeline.</span>

<span class="k">config</span> BUSYBOX_CONFIG_VI
	<span class="nb">bool</span> <span class="s2">&quot;vi&quot;</span>
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">	  &#39;vi&#39; is a text editor. More specifically, it is the One True</span>
<span class="sd">	  text editor &lt;grin&gt;. It does, however, have a rather steep</span>
<span class="sd">	  learning curve. If you are not already comfortable with &#39;vi&#39;</span>
<span class="sd">	  you may wish to use something else.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_MAX_LEN
	<span class="nb">int</span> <span class="s2">&quot;Maximum screen width in vi&quot;</span>
	<span class="k">range</span> <span class="mi">256</span> <span class="mi">16384</span>
	<span class="k">default</span> <span class="mi">1024</span>
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Contrary to what you may think, this is not eating much.</span>
<span class="sd">	  Make it smaller than 4k only if you are very limited on memory.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_8BIT
	<span class="nb">bool</span> <span class="s2">&quot;Allow vi to display 8-bit chars (otherwise shows dots)&quot;</span>
	<span class="k">default</span> n
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  If your terminal can display characters with high bit set,</span>
<span class="sd">	  you may want to enable this. Note: vi is not Unicode-capable.</span>
<span class="sd">	  If your terminal combines several 8-bit bytes into one character</span>
<span class="sd">	  (as in Unicode mode), this will not work properly.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_COLON
	<span class="nb">bool</span> <span class="s2">&quot;Enable \&quot;</span>:\&quot; colon commands <span class="p">(</span>no \&quot;ex\&quot; mode)&quot;
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Enable a limited set of colon commands for vi. This does not</span>
<span class="sd">	  provide an &quot;ex&quot; mode.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_YANKMARK
	<span class="nb">bool</span> <span class="s2">&quot;Enable yank/put commands and mark cmds&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  This will enable you to use yank and put, as well as mark in</span>
<span class="sd">	  busybox vi.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_SEARCH
	<span class="nb">bool</span> <span class="s2">&quot;Enable search and replace cmds&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Select this if you wish to be able to do search and replace in</span>
<span class="sd">	  busybox vi.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_USE_SIGNALS
	<span class="nb">bool</span> <span class="s2">&quot;Catch signals&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Selecting this option will make busybox vi signal aware. This will</span>
<span class="sd">	  make busybox vi support SIGWINCH to deal with Window Changes, catch</span>
<span class="sd">	  Ctrl-Z and Ctrl-C and alarms.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_DOT_CMD
	<span class="nb">bool</span> <span class="s2">&quot;Remember previous cmd and \&quot;</span>.\&quot; cmd&quot;
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Make busybox vi remember the last command and be able to repeat it.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_READONLY
	<span class="nb">bool</span> <span class="s2">&quot;Enable -R option and \&quot;</span>view\&quot; mode&quot;
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Enable the read-only command line option, which allows the user to</span>
<span class="sd">	  open a file in read-only mode.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_SETOPTS
	<span class="nb">bool</span> <span class="s2">&quot;Enable set-able options, ai ic showmatch&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Enable the editor to set some (ai, ic, showmatch) options.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_SET
	<span class="nb">bool</span> <span class="s2">&quot;Support for :set&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Support for &quot;:set&quot;.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_WIN_RESIZE
	<span class="nb">bool</span> <span class="s2">&quot;Handle window resize&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  Make busybox vi behave nicely with terminals that get resized.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_VI_OPTIMIZE_CURSOR
	<span class="nb">bool</span> <span class="s2">&quot;Optimize cursor movement&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI
	<span class="k">help</span>
<span class="sd">	  This will make the cursor movement faster, but requires more memory</span>
<span class="sd">	  and it makes the applet a tiny bit larger.</span>

<span class="k">config</span> BUSYBOX_CONFIG_FEATURE_ALLOW_EXEC
	<span class="nb">bool</span> <span class="s2">&quot;Allow vi and awk to execute shell commands&quot;</span>
	<span class="k">default</span> y
	<span class="k">depends on</span> BUSYBOX_CONFIG_VI <span class="o">||</span> BUSYBOX_CONFIG_AWK
	<span class="k">help</span>
<span class="sd">	  Enables vi and awk features which allows user to execute</span>
<span class="sd">	  shell commands (using system() C call).</span>

<span class="k">endmenu</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-02-24 13:28:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
